> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate user application status

> Simulates a user application (KYC) status change. The status update is processed asynchronously via an internal webhook pipeline, so the user status may not reflect the change immediately after this call returns. Clients should poll `GET /users/{userId}` until the desired status is observed.



## OpenAPI

````yaml /api-reference/openapi.json post /simulation/users/{userId}/application
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /simulation/users/{userId}/application:
    post:
      tags:
        - Simulation
      summary: Simulate user application status
      description: >-
        Simulates a user application (KYC) status change. The status update is
        processed asynchronously via an internal webhook pipeline, so the user
        status may not reflect the change immediately after this call returns.
        Clients should poll `GET /users/{userId}` until the desired status is
        observed.
      operationId: userApplication_simulation
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      requestBody:
        description: Simulate a user application status change
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - APPROVED
                    - REJECTED
                    - RETRY_REQUIRED
                    - IN_REVIEW
                  description: Target application status
                  example: APPROVED
              required:
                - status
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - APPROVED
                    - REJECTED
                    - RETRY_REQUIRED
                    - IN_REVIEW
                  description: Target application status
                  example: APPROVED
              required:
                - status
          multipart/form-data:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - APPROVED
                    - REJECTED
                    - RETRY_REQUIRED
                    - IN_REVIEW
                  description: Target application status
                  example: APPROVED
              required:
                - status
      responses:
        '204':
          description: Response for status 204
        '400':
          description: The resource is not in a valid state for the requested simulation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: SIMULATION_INVALID_STATE
                      message:
                        type: string
                      detail:
                        anyOf:
                          - type: object
                            additionalProperties: {}
                          - type: 'null'
                    required:
                      - code
                      - message
                      - detail
                required:
                  - error
                title: SimulationInvalidStateError
        '404':
          description: User not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: USER_NOT_FOUND
                      message:
                        type: string
                      detail:
                        anyOf:
                          - type: object
                            additionalProperties: {}
                          - type: 'null'
                    required:
                      - code
                      - message
                      - detail
                required:
                  - error
                title: UserNotFoundError
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````